import request from '@/utils/request'

// 查询借款状态列表
export function listBorrowStatus(query) {
  return request({
    url: '/dk/BorrowStatus/list',
    method: 'get',
    params: query
  })
}

export function bankType(query) {
  return request({
    url: '/dk/BorrowStatus/bankType',
    method: 'get',
    params: query
  })
}

export function all(query) {
  return request({
    url: '/dk/BorrowStatus/all',
    method: 'get',
    params: query
  })
}

// 查询借款状态详细
export function getBorrowStatus(id) {
  return request({
    url: '/dk/BorrowStatus/' + id,
    method: 'get'
  })
}

// 新增借款状态
export function addBorrowStatus(data) {
  return request({
    url: '/dk/BorrowStatus',
    method: 'post',
    data: data
  })
}

// 修改借款状态
export function updateBorrowStatus(data) {
  return request({
    url: '/dk/BorrowStatus',
    method: 'put',
    data: data
  })
}

// 删除借款状态
export function delBorrowStatus(id) {
  return request({
    url: '/dk/BorrowStatus/' + id,
    method: 'delete'
  })
}

// 导出借款状态
export function exportBorrowStatus(query) {
  return request({
    url: '/dk/BorrowStatus/export',
    method: 'get',
    params: query
  })
}
